import { CURRENT_ENVIORMENT, CONFIG, API_BASE_URL } from './config';

export const { CACHE_CLEAR_BASE_URL } = CONFIG[CURRENT_ENVIORMENT];
export const GROUP_LIST_API_URL = `${API_BASE_URL}/group/list`;
export const CLIENTS_LIST_API_URL = `${API_BASE_URL}/client/list`;
export const ACCOUNTS_LIST_API_URL = `${API_BASE_URL}/accounts/list`;
export const ACCOUNTS_MAX_LIST_API_URL = `${API_BASE_URL}/accounts/list?limit=10000`;
export const FEED_CREATE_API_URL = `${API_BASE_URL}/feed/create`;
export const UPDATE_GROUP_DETAILS = `${API_BASE_URL}/group/update/`;
export const VIEW_FEED_API_URL = `${API_BASE_URL}/feed/view/`;
export const VIEW_GROUP_DETAILS_URL = `${API_BASE_URL}/group/view/`;
export const UPDATE_API_URL = `${API_BASE_URL}/feed/update/`;
export const FETCH_FEED_URL = `${API_BASE_URL}/feed/list`;
export const DELETE_FEED_URL = `${API_BASE_URL}/feed/delete`;
export const FETCH_MEMBERSHIP_PLAN_URL = `${API_BASE_URL}/membership/plan/list`;
export const CREATE_GROUP_URL = `${API_BASE_URL}/group/create`;
export const FETCH_USER_DETAILS_URL = `${API_BASE_URL}/user/setting`;
export const ACTIVATE_TRIAL_PLAN_URL = `${API_BASE_URL}/membership/trial-activate/`;
export const CACHE_CLEAN_URL = `${CACHE_CLEAR_BASE_URL}/oauth/removecache`;
export const DELETE_GROUP_URL = `${API_BASE_URL}/group/delete`;
export const UPGRADE_PLAN_URL = `${API_BASE_URL}/payment/chargebee/`;
export const INBOX_CONVERSATION_LIST_API = `${API_BASE_URL}/inbox/list/`;
export const INBOX_CONVERSATION_REPLY_API = `${API_BASE_URL}/inbox/reply`;
export const INBOX_CONVERSATION_DELETE_API = `${API_BASE_URL}/inbox/delete`;
export const INBOX_ARCHIVE_API = `${API_BASE_URL}/inbox/archive`;
export const INBOX_LIKE_UNLIKE_API = `${API_BASE_URL}/inbox/like/`;
export const INBOX_CONTENT_PREVIEW_API = `${API_BASE_URL}/inbox/view`;
export const TWITTER_INBOX_RETWEET = `${API_BASE_URL}/inbox/twitter/retweet/`;
export const TWITTER_INBOX_UNRETWEET = `${API_BASE_URL}/inbox/twitter/unretweet/`;

export const KEYWORD_SEARCH_API_URL = `${API_BASE_URL}/suggestion/keyword`;
export const CONTENT_SEARCH_API_URL = `${API_BASE_URL}/suggestion/article`;
export const CREATE_POST_API_URL = `${API_BASE_URL}/posts/create`;
export const UPLOAD_MEDIA_API_URL = `${API_BASE_URL}/uploadmedia`;
